Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038898
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminorhave not tried2018-07-04 18:382018-07-05 14:35
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2.1
StatusclosedFix in branchFixed in SCM revisiona3c948281b97
ProjectionnoneETAnoneTarget Version3.0PR18Q2.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038898: JDK 11: not necessary to include jaxws-api library

DescriptionIn Java 11, some modules are removed from the standard distribution. See[1].

Some of these modules were required in Openbravo, so in order to support Java 11 they were included to be deployed on the classpath. See[2].

The jaxws-api was one of these libraries, but is not being used in core. Therefore it should be removed.

[1] http://openjdk.java.net/jeps/320 [^]
[2] https://code.openbravo.com/erp/devel/pi/rev/c3a604592d8f59346c6a17cc7c511566602dc23c [^]
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0038892 closedcaristu JDK 11: not necessary to include jaxws-api library 

-  Notes
(0105612)
hgbot (developer)
2018-07-05 09:10

Repository: erp/backports/3.0PR18Q2.1
Changeset: a3c948281b9713a4347105f5697b5924cde1cfe5
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jul 05 09:10:01 2018 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR18Q2.1/rev/a3c948281b9713a4347105f5697b5924cde1cfe5 [^]

fixes issue 38898: not necessary to include jaxws-api library

---
M legal/Licensing.txt
R lib/runtime/jaxws-api-2.2.12.jar
---
(0105645)
alostale (developer)
2018-07-05 14:35

reviewed
tested with openjdk version "11-ea" 2018-09-25:
* MMC -> scan for updates, install and compile modules
* send email

- Issue History
Date Modified Username Field Change
2018-07-05 08:32 caristu Type design defect => backport
2018-07-05 08:32 caristu Target Version => 3.0PR18Q2.2
2018-07-05 08:35 caristu Summary JDK 11: does not need to include jaxws-api library => JDK 11: not necessary to include jaxws-api library
2018-07-05 09:10 hgbot Checkin
2018-07-05 09:10 hgbot Note Added: 0105612
2018-07-05 09:10 hgbot Status scheduled => resolved
2018-07-05 09:10 hgbot Resolution open => fixed
2018-07-05 09:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR18Q2.1/rev/a3c948281b9713a4347105f5697b5924cde1cfe5 [^]
2018-07-05 09:10 caristu Target Version 3.0PR18Q2.2 => 3.0PR18Q2.1
2018-07-05 09:12 caristu Review Assigned To => alostale
2018-07-05 14:35 alostale Note Added: 0105645
2018-07-05 14:35 alostale Status resolved => closed
2018-07-05 14:35 alostale Fixed in Version => 3.0PR18Q2.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker